=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kontactinterface
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
+           Sandro Knauß <hefee@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.71.0~),
+               extra-cmake-modules (>= 5.83.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.71.0~),
-               libkf5i18n-dev (>= 5.71.0~),
-               libkf5parts-dev (>= 5.71.0~),
-               libkf5windowsystem-dev (>= 5.71.0~),
-               libkf5xmlgui-dev (>= 5.71.0~),
+               libkf5coreaddons-dev (>= 5.83.0~),
+               libkf5i18n-dev (>= 5.83.0~),
+               libkf5parts-dev (>= 5.83.0~),
+               libkf5windowsystem-dev (>= 5.83.0~),
+               libkf5xmlgui-dev (>= 5.83.0~),
                libx11-dev,
                pkg-kde-tools (>> 0.15.15),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/pim/kontactinterface
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontactinterface
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontactinterface.git
@@ -34,10 +35,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5i18n-dev (>= 5.71.0~),
+Depends: libkf5i18n-dev (>= 5.83.0~),
          libkf5kontactinterface5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.71.0~),
-         libkf5windowsystem-dev (>= 5.71.0~),
+         libkf5parts-dev (>= 5.83.0~),
+         libkf5windowsystem-dev (>= 5.83.0~),
          ${misc:Depends},
 Description: Kontact interface library - development files
  This library provides the glue necessary for application "Parts" to be
