=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: none
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_library(KF5KontactInterface)
 add_library(KF5::KontactInterface ALIAS KF5KontactInterface)
 target_sources(KF5KontactInterface PRIVATE
@@ -24,7 +27,7 @@
 
 generate_export_header(KF5KontactInterface BASE_NAME kontactinterface)
 
-target_include_directories(KF5KontactInterface INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KontactInterface>")
+target_include_directories(KF5KontactInterface INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KontactInterface>")
 target_include_directories(KF5KontactInterface PUBLIC "$<BUILD_INTERFACE:${KontactInterface_SOURCE_DIR}/src;${KontactInterface_BINARY_DIR}/src;${KontactInterface_BINARY_DIR}>")
 
 target_link_libraries(KF5KontactInterface
@@ -44,7 +47,7 @@
 )
 
 
-install(TARGETS KF5KontactInterface EXPORT KF5KontactInterfaceTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5KontactInterface EXPORT KF5KontactInterfaceTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 ########### install files ###############
 
@@ -63,20 +66,17 @@
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kontactinterface_export.h
   ${KontactInterface_HEADERS}
-  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KontactInterface/kontactinterface
+  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KontactInterface/kontactinterface
   COMPONENT Devel
 )
 
 install(FILES
     ${KontactInterface_CamelCase_HEADERS}
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KontactInterface/KontactInterface/
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KontactInterface/KontactInterface/
     COMPONENT Devel
 )
 
-
-install(FILES kontactplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
-
-ecm_generate_pri_file(BASE_NAME KontactInterface LIB_NAME KF5KontactInterface DEPS "KParts KCoreAddons KXmlGui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KontactInterface)
+ecm_generate_pri_file(BASE_NAME KontactInterface LIB_NAME KF5KontactInterface DEPS "KParts KCoreAddons KXmlGui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KontactInterface)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
 ecm_qt_install_logging_categories(EXPORT KONTACTINTERFACE FILE kontactinterface.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
