=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Sandro Knauß <hefee@debian.org>,
+Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -25,7 +24,7 @@
 Package: libkf5kontactinterface-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Kontact interface library - data files
  This library provides the glue necessary for application "Parts" to be
  embedded as a Kontact component (or plugin).
@@ -56,4 +55,4 @@
 Description: Kontact interface library
  This library provides the glue necessary for application "Parts" to be
  embedded as a Kontact component (or plugin).
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
